Sketchup::require 'OscarVB.rbs'

def test
input = UI.inputbox ["Ruby says"], ["Hello! VB!"], "Make Friend with VB"
OscarVB.dialog(File.join(File.dirname(__FILE__),"HelloVB.exe"))
OscarVB.execute_script("Form1","Label2_text","Ruby says : " + input[0])
OscarVB.execute_script("Form1","TextBox1_text","Hello! RB!")
end

def draw_text(tx)
    Sketchup.active_model.entities.add_3d_text(tx, TextAlignLeft, "Arial", true, false, 2.0, 0.0, 0.5, true, 1.0)
    Sketchup.active_model.active_view.zoom_extents
end

if( not file_loaded?("Hello Oscar.rb") )
   osc_menu = UI.menu("Draw").add_submenu("Oscar")
   osc_menu.add_item("Say Hello") { test }
   tb = UI::Toolbar.new("Say Hello To VB")
   cmd = UI::Command.new("Say Hello") { test }
   cmd.large_icon = cmd.small_icon = File.join(File.dirname(__FILE__),"hello.png")
   cmd.tooltip = cmd.status_bar_text = "Say Hello To VB"
   tb.add_item(cmd)
   state = tb.get_last_state 
   if(state == TB_NEVER_SHOWN)
      tb.show 
   elsif (state == TB_VISIBLE)
      tb.restore
   end
end
file_loaded("Hello Oscar.rb")
